import { HttpClient, NonNullablePaths, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { QueryOptions, QueryResponse } from './index.typings.js';
export { AggregateOptions, AggregationRequest, AggregationResponse, ApplicationError, BulkError, BulkInsertOptions, BulkInsertReferencesOptions, BulkInsertReferencesRequest, BulkInsertReferencesResponse, BulkInsertRequest, BulkInsertResponse, BulkPatchRequest, BulkPatchResponse, BulkRemoveOptions, BulkRemoveReferencesOptions, BulkRemoveReferencesRequest, BulkRemoveReferencesResponse, BulkRemoveRequest, BulkRemoveRequestEntry, BulkRemoveResponse, BulkReplaceReferencesOptions, BulkReplaceReferencesRequest, BulkReplaceReferencesResponse, BulkSaveOptions, BulkSaveRequest, BulkSaveResponse, BulkUpdateOptions, BulkUpdateRequest, BulkUpdateResponse, CountOptions, CountRequest, CountResponse, CursorPaging, Cursors, Details, DistinctOptions, DistinctRequest, DistinctResponse, Entry, GetOptions, GetRequest, GetResponse, InsertOptions, InsertRequest, InsertResponse, IsReferencedOptions, IsReferencedRequest, IsReferencedResponse, Item, Options, Order, Paging, PagingMetadataV2, PatchRequest, PatchResponse, PatchWhereRequest, PatchWhereResponse, Query, QueryReferencedOptions, QueryReferencedRequest, QueryReferencedResponse, QueryRequest, QueryV2, QueryV2PagingMethodOneOf, ReadOptions, Reference, ReferencedEntity, ReferencedEntityEntityOneOf, RemoveOptions, RemoveRequest, RemoveResponse, RestoreFromTrashBinRequest, RestoreFromTrashBinResponse, SaveOptions, SaveRequest, SaveResponse, Segment, SortOrder, Sorting, TruncateOptions, TruncateRequest, TruncateResponse, UpdateOptions, UpdateRequest, UpdateResponse } from './index.typings.js';

declare function query$1(httpClient: HttpClient): QuerySignature;
interface QuerySignature {
    /**
     * Retrieves a list of items, on the basis of the filtering, sorting, and paging preferences you provide.
     *
     * For more details on using queries, see [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language).
     * @deprecated
     */
    (options?: QueryOptions): Promise<NonNullablePaths<QueryResponse, `items` | `totalCount` | `totalResults` | `partialIncludes`>>;
}

declare const query: MaybeContext<BuildRESTFunction<typeof query$1> & typeof query$1>;

export { QueryOptions, QueryResponse, query };
